Diablo II with Leopard

Discussion in 'Mac and PC Games' started by sharpnet, Jul 1, 2008.

  1. sharpnet macrumors newbie

    Joined:
    Jul 1, 2008
    #1
    I am trying to install Diablo 2 with Leopard. When I put in the CD, I can't run the disk because it says it cannot open it. I used parallels and I am using Windows XP and it installed fine using that, but when I try and run it, the launcher comes up and then the game never actually runs. If I open to task manager and go to processes, it has Diablo II running at 0% and Game.exe is running at 100% and the computer memory is 100%. If I end the Game.exe task, it asks me to insert the cd and if i hit retry, the Game.exe runs again with 100% and nothing ever happens. Any suggestions will be helpful.

    Thanks

    Edit: I just tried downloading and installing the virtual game from blizzard.com and that installed fine but it will not run.
     
  2. Spikeanator6982 macrumors 6502

    Joined:
    Jun 13, 2007
    #2
    so you did get it installed?

    if not u need to install the os x installer from blizzard then use that to install.


    if so, ya, 10.5.3-4 and some reports of 10.5.2 are coming in. basicly..u click to start the game, and it says an error. i guess it is bc apple removed 256 color from being an option (thats what d2 runs with) so apple needs to fix it, or u can go through removing the new drivers and getting the old. Theres a thread on it in this games section....
    hope u understood that..
     
  3. kitki83 macrumors 6502a

    Joined:
    Mar 31, 2004
    Location:
    Los Angeles
    #3
    I had the same problem trying to run it in parallels, fixed it by creating an iso attach it to parallels as CD. Might need tweaking of verification but it ran. Also read you can download the iso from Blizzard if you provided serial of your purchased game.

    update: isos of the disc seems to work for Starcraft but not for Diablo.
    Back to square one.
     
  4. metalsquid macrumors newbie

    Joined:
    Jul 2, 2008
    #4
    hi, did you try manually updating it to the lastest version? it includes a no-cd patch so if you've done a full install you can run it without the cd in the drive.

    http://us.blizzard.com/support/article.xml?articleId=20758

    i couldn't get it to run in windows either until i manually updated with the latest patch. might be the same case for leopard? the original version 1.00 game files probably can't run in modern OSes.
     
  5. Yaboze macrumors 6502a

    Yaboze

    Joined:
    May 31, 2007
    Location:
    The Garden State
    #5
    If you use the Blizzard installer for OSX, it will be fine.

    But that is moot point, because Diablo 2 and Starcraft are just not working in Leopard right now for many people. It seems only users with ATI GPU's are able to run it.
     

Share This Page